=====================
Data Reader Interface
=====================


DataTypes
=========

..  autofunction:: paddle.v2.data_type.dense_array
    :noindex:

..  autofunction:: paddle.v2.data_type.integer_value
    :noindex:

..  autofunction:: paddle.v2.data_type.integer_value_sequence
    :noindex:

..  autofunction:: paddle.v2.data_type.integer_value_sub_sequence
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_binary_vector
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_binary_vector_sequence
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_binary_vector_sub_sequence
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_float_vector
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_float_vector_sequence
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_float_vector_sub_sequence
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_non_value_slot
    :noindex:

..  autofunction:: paddle.v2.data_type.sparse_value_slot
    :noindex:

..  autoclass:: paddle.v2.data_type.InputType
    :members:
    :noindex:

DataFeeder
==========

..  automodule:: paddle.v2.data_feeder
    :members:
    :noindex:

Reader
======

..  automodule:: paddle.v2.reader
    :members:
    :noindex:

..  automodule:: paddle.v2.reader.creator
    :members:
    :noindex:

minibatch
=========

..  automodule:: paddle.v2.minibatch
    :members:
    :noindex:
